Bug 1669698 (LXQt-0.14) - [Tracker] Build LXQt 0.14.x in Fedora
Summary: [Tracker] Build LXQt 0.14.x in Fedora
Keywords:
Status: CLOSED ERRATA
Alias: LXQt-0.14
Product: Fedora
Classification: Fedora
Component: lxqt-config
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1264438 1633225 1669635 1669689 1669690 1669693 1669694 1669699 1669700 1670277 1670388 1670497 1683076
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-26 03:14 UTC by Zamir SUN
Modified: 2019-05-14 09:02 UTC (History)
5 users (show)

Fixed In Version: lxqt-config-0.14.1-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 00:59:11 UTC
Type: Bug


Attachments (Terms of Use)

Description Zamir SUN 2019-01-26 03:14:08 UTC
Let's try to make 0.14.0 happen during Fedora 30.

https://forum.lxqt.org/t/build-order-release-plan-0-14-0/292/1

Comment 1 Raphael Groner 2019-01-26 05:50:30 UTC
Do we need a change request for this major update? Maybe delay for F31 if there's not enough time.

Comment 2 Zamir SUN 2019-01-26 06:18:11 UTC
If everything goes smoothly today, I can make it.

Comment 3 Raphael Groner 2019-01-27 06:56:29 UTC
"Under the hood, several dependencies have been changed with the LXQt 0.14.0 release, which requires the C++ ISO Standard 14, lxqt-build-tools 0.6.0, and cmake 3.1.0 or later."
(Source: softpedia)

We should enforce those requirements in the spec files.

Comment 4 Raphael Groner 2019-01-27 07:17:12 UTC
Please be aware of bug #1669635 (enki FTBFS) when assembling a new compose of our spin.

Comment 5 Zamir SUN 2019-01-29 06:46:29 UTC
Hope it can be fixed by then.
Just in case, in the worst case I will pull in featherpad (which seems to be the text editor proposed by LXQt) as a replacement.

Comment 6 Raphael Groner 2019-03-02 09:03:26 UTC
Well, there's now a major release 0.14.1 with fixes done by upstream.

Comment 7 Zamir SUN 2019-03-04 02:09:02 UTC
I don't have to get 0.14.1 into Fedora 30 before freeze. Since this is a bugfix release, I plan to do it sometime later on.

Comment 8 Zamir SUN 2019-03-04 10:41:10 UTC
Somehow I just saw I mis-typed the above comment. I mean I don't have time to get it into Fedora 30 before freeze.

Comment 9 Fedora Update System 2019-05-04 11:27:50 UTC
lxqt-runner-0.14.1-1.fc30 lxqt-panel-0.14.1-1.fc30 qterminal-0.14.1-1.fc30 pcmanfm-qt-0.14.1-1.fc30 lxqt-sudo-0.14.1-1.fc30 lxqt-session-0.14.1-1.fc30 lxqt-powermanagement-0.14.1-1.fc30 lxqt-policykit-0.14.1-1.fc30 lxqt-openssh-askpass-0.14.1-1.fc30 lxqt-notificationd-0.14.1-1.fc30 lxqt-globalkeys-0.14.1-1.fc30 lxqt-config-0.14.1-1.fc30 lxqt-admin-0.14.1-1.fc30 lxqt-about-0.14.1-1.fc30 lximage-qt-0.14.1-1.fc30 qtermwidget-0.14.1-1.fc30 pavucontrol-qt-0.14.1-1.fc30 obconf-qt-0.14.1-1.fc30 libfm-qt-0.14.1-1.fc30 liblxqt-0.14.1-1.fc30 libqtxdg-3.3.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f27326965

Comment 10 Fedora Update System 2019-05-05 00:53:45 UTC
libfm-qt-0.14.1-1.fc30, liblxqt-0.14.1-1.fc30, libqtxdg-3.3.1-1.fc30, lximage-qt-0.14.1-1.fc30, lxqt-about-0.14.1-1.fc30, lxqt-admin-0.14.1-1.fc30, lxqt-config-0.14.1-1.fc30, lxqt-globalkeys-0.14.1-1.fc30, lxqt-notificationd-0.14.1-1.fc30, lxqt-openssh-askpass-0.14.1-1.fc30, lxqt-panel-0.14.1-1.fc30, lxqt-policykit-0.14.1-1.fc30, lxqt-powermanagement-0.14.1-1.fc30, lxqt-runner-0.14.1-1.fc30, lxqt-session-0.14.1-1.fc30, lxqt-sudo-0.14.1-1.fc30, obconf-qt-0.14.1-1.fc30, pavucontrol-qt-0.14.1-1.fc30, pcmanfm-qt-0.14.1-1.fc30, qterminal-0.14.1-1.fc30, qtermwidget-0.14.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0f27326965

Comment 11 Fedora Update System 2019-05-14 00:59:11 UTC
libfm-qt-0.14.1-1.fc30, liblxqt-0.14.1-1.fc30, libqtxdg-3.3.1-1.fc30, lximage-qt-0.14.1-1.fc30, lxqt-about-0.14.1-1.fc30, lxqt-admin-0.14.1-1.fc30, lxqt-config-0.14.1-1.fc30, lxqt-globalkeys-0.14.1-1.fc30, lxqt-notificationd-0.14.1-1.fc30, lxqt-openssh-askpass-0.14.1-1.fc30, lxqt-panel-0.14.1-1.fc30, lxqt-policykit-0.14.1-1.fc30, lxqt-powermanagement-0.14.1-1.fc30, lxqt-runner-0.14.1-1.fc30, lxqt-session-0.14.1-1.fc30, lxqt-sudo-0.14.1-1.fc30, obconf-qt-0.14.1-1.fc30, pavucontrol-qt-0.14.1-1.fc30, pcmanfm-qt-0.14.1-1.fc30, qterminal-0.14.1-1.fc30, qtermwidget-0.14.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.